## org.eclipse.datatools.sqltools.sqleditor
Interface IHelpConstants

public interface IHelpConstants

This file contains all the context help ID that are used by following DTP plugins: TPS_helpKey_constants_for_plug-in: org.eclipse.datatools.sqltools.sqleditor

Author:
  renj

Field Summary
`static java.lang.String` `ATTACH_CONNECTION_PROFILE_ACTION` Used for Set Connection Info action in SQL Editor.
`static java.lang.String` `ATTACHING_PROFILE` Used for SQL scrapbook's Select Profile for the Editor dialog.
`static java.lang.String` `DEBUG_ACTION` Used for Debug action in SQL Editor.
`static java.lang.String` `EDIT_TEMPLATE_DIALOG` Used for New Template dialog.
`static java.lang.String` `EVENT_LAUNCH_CONFIGURATION_PARAMETERS` Used for Eclipse Data Tools' configure parameters dialog of event.
`static java.lang.String` `EXECUTE_ALL_ACTION` Used for Execute All in SQL Editor.
`static java.lang.String` `EXECUTE_SELECTED_TEXT_ACTION` Used for Execute Selected Text in SQL Editor.
`static java.lang.String` `GET_EXECUTION_PLAN_ACTION` Used for Get Execution Plan in SQL Editor.
`static java.lang.String` `LAUNCH_CONFIGURATION_MAIN` Used for launch configuration of Eclipse Data Tools
`static java.lang.String` `NEW_SQL_FILE` Used for creating a new SQL scrapbook.
`static java.lang.String` `PREFERENCES_CODE_ASSIST` Used for Code Assist preference page.
`static java.lang.String` `PREFERENCES_DATABASE_DEVELOPMENT` Used for Database Development preference page.
`static java.lang.String` `PREFERENCES_SQL_EDITOR` Used for SQL Editor preference page.
`static java.lang.String` `PREFERENCES_SQL_FILES` Used for SQL File/Scrapbooks preference page.
`static java.lang.String` `PREFERENCES_TEMPLATES` Used for Templates preference page.
`static java.lang.String` `PREFIX` Prefix for all context help ID.
`static java.lang.String` `REFRESH_FROM_DATABASE_ACTION` Used for Refresh From Server in SQL Editor.
`static java.lang.String` `RUN_ACTION` Used for Run action in SQL Editor.
`static java.lang.String` `SAVE_AS_TEMPLATE_ACTION` Used for Save as Template action in SQL Editor.
`static java.lang.String` `SAVE_TO_DATABASE_ACTION` Used for Save to Server in SQL Editor.
`static java.lang.String` `SP_LAUNCH_CONFIGURATION_PARAMETERS` Used for Eclipse Data Tools' configure parameters dialog.
`static java.lang.String` `SQLEDITOR` Used for SQL Editor.
`static java.lang.String` `TOGGLE_COMMENT_ACTION` Used for Toggle Comment action in SQL Editor.

Field Detail

### PREFIX

    public static final java.lang.String PREFIX

  Prefix for all context help ID.

### NEW_SQL_FILE

    public static final java.lang.String NEW_SQL_FILE

  Used for creating a new SQL scrapbook.

### SQLEDITOR

    public static final java.lang.String SQLEDITOR

  Used for SQL Editor.

### ATTACHING_PROFILE

    public static final java.lang.String ATTACHING_PROFILE

  Used for SQL scrapbook's Select Profile for the Editor dialog.

### LAUNCH_CONFIGURATION_MAIN

    public static final java.lang.String LAUNCH_CONFIGURATION_MAIN

  Used for launch configuration of Eclipse Data Tools

### SP_LAUNCH_CONFIGURATION_PARAMETERS

    public static final java.lang.String SP_LAUNCH_CONFIGURATION_PARAMETERS

  Used for Eclipse Data Tools' configure parameters dialog.

### EVENT_LAUNCH_CONFIGURATION_PARAMETERS

    public static final java.lang.String EVENT_LAUNCH_CONFIGURATION_PARAMETERS

  Used for Eclipse Data Tools' configure parameters dialog of event.

### PREFERENCES_DATABASE_DEVELOPMENT

    public static final java.lang.String PREFERENCES_DATABASE_DEVELOPMENT

  Used for Database Development preference page.

### PREFERENCES_SQL_EDITOR

    public static final java.lang.String PREFERENCES_SQL_EDITOR

  Used for SQL Editor preference page.

### PREFERENCES_CODE_ASSIST

    public static final java.lang.String PREFERENCES_CODE_ASSIST

  Used for Code Assist preference page.

### PREFERENCES_SQL_FILES

    public static final java.lang.String PREFERENCES_SQL_FILES

  Used for SQL File/Scrapbooks preference page.

### PREFERENCES_TEMPLATES

    public static final java.lang.String PREFERENCES_TEMPLATES

  Used for Templates preference page.

### TOGGLE_COMMENT_ACTION

    public static final java.lang.String TOGGLE_COMMENT_ACTION

  Used for Toggle Comment action in SQL Editor.

### EXECUTE_ALL_ACTION

    public static final java.lang.String EXECUTE_ALL_ACTION

  Used for Execute All in SQL Editor.

### EXECUTE_SELECTED_TEXT_ACTION

    public static final java.lang.String EXECUTE_SELECTED_TEXT_ACTION

  Used for Execute Selected Text in SQL Editor.

### GET_EXECUTION_PLAN_ACTION

    public static final java.lang.String GET_EXECUTION_PLAN_ACTION

  Used for Get Execution Plan in SQL Editor.

### RUN_ACTION

    public static final java.lang.String RUN_ACTION

  Used for Run action in SQL Editor.

### DEBUG_ACTION

    public static final java.lang.String DEBUG_ACTION

  Used for Debug action in SQL Editor.

### SAVE_TO_DATABASE_ACTION

    public static final java.lang.String SAVE_TO_DATABASE_ACTION

  Used for Save to Server in SQL Editor.

### REFRESH_FROM_DATABASE_ACTION

    public static final java.lang.String REFRESH_FROM_DATABASE_ACTION

  Used for Refresh From Server in SQL Editor.

### ATTACH_CONNECTION_PROFILE_ACTION

    public static final java.lang.String ATTACH_CONNECTION_PROFILE_ACTION

  Used for Set Connection Info action in SQL Editor.

### SAVE_AS_TEMPLATE_ACTION

    public static final java.lang.String SAVE_AS_TEMPLATE_ACTION

  Used for Save as Template action in SQL Editor.

### EDIT_TEMPLATE_DIALOG

    public static final java.lang.String EDIT_TEMPLATE_DIALOG

  Used for New Template dialog.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.